> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete configuration



## OpenAPI

````yaml /spec.json delete /client/taps/{id}/configuration
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/taps/{id}/configuration:
    delete:
      tags:
        - Tap configuration.
      summary: Delete configuration
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The unique identifier for the tap
      responses:
        '200':
          description: Tap configuration deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tapSettingsResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: Tap not found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    tapSettingsResponse:
      type: object
      properties:
        active_timeout_s:
          type: number
        default_flow:
          type: number
        default_temp:
          type: number
        min_flow:
          type: number
        min_temp:
          type: number
        max_flow:
          type: number
        max_temp:
          type: number
        theme:
          type: number
        time_zone:
          type: string
        time_zone_name:
          type: string
        units:
          type: number
        wall_clock_enabled:
          type: boolean
        welcome_message_enabled:
          type: boolean
        welcome_message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````